<table <?=$this->data['attributes']?>>
    <thead>
        <tr>
        <?php foreach ($this->data['headings'] as $th) : ?>
            <th <?=$th['attributes'] ?? ''?>><?=$th['data'] ?? ''?></th>
        <?php endforeach; ?>
        </tr>
    </thead>
    <tbody>
    <?php foreach ($this->data['rows'] as $tr) : ?>
        <tr>
        <?php foreach ($tr as $td) : ?>
            <td <?=$td['attributes'] ?? ''?>><?=$td['data'] ?? ''?></td>
        <?php endforeach; ?>
        </tr>
    <?php endforeach; ?>
    </tbody>
</table>
